.top {
  min-height: 100vh;
  background-color: #E6CDA5;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 0 0.5rem;
  justify-content: center;
  text-align: center;
  font-family: 'Noto Sans JP', 'Noto Sans', sans-serif;
}

.top-content {
  width: 100%;
  max-width: 800px;
  margin: 0 auto;
  padding: 20px 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0;
}

.logo-container {
  margin-bottom: 32px;
}

.logo-container svg {
  width: 300px;
  height: auto;
  color: #DA672F;
}

.top h1 {
  font-size: 14px;
  color: #000;
  margin: 0 0 32px;
}

.top p {
  font-size: 12px;
  margin: 0 0 2px;
  color: #000;
  text-align: center;
}

.top-image {
  max-width: 200px;
  height: auto;
  margin: 1rem 0;
  padding-bottom: 32px;
}

.top-image img {
  max-width: 100%;
  width: 80%;
}

.app-store-link {
  display: flex;
  gap: 1rem;
  margin-top: 1rem;
  justify-content: center;
  align-items: center;
}

.app-store-link img {
  height: clamp(40px, 6vw, 40px);
  width: auto;
}
